Skip to main content
GET
/
fleet
/
carb-ctc
/
vehicles
/
history
List CARB CTC vehicle collection history
curl --request GET \
  --url https://api.samsara.com/fleet/carb-ctc/vehicles/history \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "enrollmentId": "550e8400-e29b-41d4-a716-446655440000",
      "enrollmentVin": "1HGCM82633A123456",
      "happenedAtTime": "2024-06-15T08:00:00Z",
      "id": "12345",
      "testResult": "pass",
      "testResultDetails": "Response from CARB CTC: Vehicle PASSED emissions scan."
    }
  ],
  "pagination": {
    "endCursor": "MjkY",
    "hasNextPage": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

vehicleIds
string
required

A comma-separated list of vehicle IDs to fetch history for. Up to 100 IDs can be provided. Example: vehicleIds=1234,5678

startTime
string

A start time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

endTime
string

An end time in RFC 3339 format. Defaults to now if not provided. Millisecond precision and timezones are supported. (Examples: 2019-06-13T19:08:25Z, 2019-06-13T19:08:25.455Z, OR 2015-09-15T14:00:12-04:00).

after
string

If specified, this should be the endCursor value from the previous page of results. When present, this request will return the next page of results that occur immediately after the previous page of results.

Response

OK response.

data
object[]
required

List of collection history entries.

pagination
object
required

Pagination parameters.